import React, { Component } from 'react';
import '../content.less';
import LeftTab from '../leftTab';
import TechDemand from './techDemand';
import {getMenu} from '../publicMenu.jsx'

class Content extends Component {
    constructor() {
        super();
        this.state = {
            loading: false,
            component: 'div',
        };
    }
    componentWillMount() {
        var ids=window.location.href.indexOf('rid=');
        var idk=window.location.href.substr(ids+4);
        var rid=idk.split('#');
        let menu=getMenu(rid);
        let curry;
        if(menu[0].subMenus.length>0){
        	curry=menu[0].subMenus[0].url.split('#');
        }else{
        	curry=menu[0].url.split('#');
        };
        if (window.location.hash) {
            this.getKey(window.location.hash.substr(1));
        } else {
         this.getKey(curry[1]);
        };
    }
    getKey(key) {
        switch (key) {
            case 'techDemandManage':
                require.ensure([], () => {
                    const TechDemand = require('./techDemand').default;
                    this.setState({
                        component: TechDemand,
                        listApiUrl: '/api/admin/demand/orgList',
                        detailApiUrl: '/api/admin/demand/orgDemandDetail'
                    });
                });
                break;
            case 'userTechDemand':
                require.ensure([], () => {
                    const TechDemand = require('./techDemand').default;
                    this.setState({
                        component: TechDemand,
                        listApiUrl: '/api/admin/demand/userList',
                        detailApiUrl: '/api/admin/demand/userDemandDetail'
                    });
                });
                break;
            case 'orgDemandOrder':
                require.ensure([], () => {
                    const DemandOrder = require('./demandOrder').default;
                    this.setState({
                        component: DemandOrder,
                        listApiUrl: '/api/admin/portal/order/orgDemandOrderList',
                        detailApiUrl: '/api/admin/demand/orgDemandDetail'
                    });
                });
                break;
            case 'userDemandOrder':
                require.ensure([], () => {
                    const DemandOrder = require('./demandOrder').default;
                    this.setState({
                        component: DemandOrder,
                        listApiUrl: '/api/admin/portal/order/userDemandOrderList',
                        detailApiUrl: '/api/admin/demand/userDemandDetail'
                    });
                });
                break;
            default:
            require.ensure([], () => {
                const Module = require('../module').default;
                this.setState({
                    component:Module	    
                	});
                });
                
        };
        window.location.hash = key;
    }
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.getKey.bind(this)} />
                <div className="content-right">
                    <this.state.component
                        data-listApiUrl={this.state.listApiUrl}
                        data-detailApiUrl={this.state.detailApiUrl} />
                </div>
            </div>
        )
    }
}

export default Content;
